petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFECompositeGetMapping

Returns the mappings from the reference element to each subelement

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECompositeGetMapping(PetscFE fem, PetscInt *numSubelements, const PetscReal *v0[], const PetscReal *jac[], const PetscReal *invjac[])

Not collective Many br

### Input Parameter

fem -The PetscFE object Many br

### Output Parameters

| blockSize | - The number of elements in a block Many br
| numBlocks | - The number of blocks in a batch Many br
| batchSize | - The number of elements in a batch Many br
| numBatches | - The number of batches in a chunk Many br

Many br

### See Also

PetscFECreate()

Level:intermediate
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages